🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request POST \
--url https://app.teable.ai/api/base/duplicate \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"fromBaseId":"string","spaceId":"string","withRecords":true,"name":"string","baseId":"string","nodes":["string"],"shareId":"string"}'{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>"
}duplicate a base
curl --request POST \
--url https://app.teable.ai/api/base/duplicate \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"fromBaseId":"string","spaceId":"string","withRecords":true,"name":"string","baseId":"string","nodes":["string"],"shareId":"string"}'{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The base to duplicate
The space to duplicate the base to
Whether to duplicate the records
The name of the duplicated base
The node IDs to include in the duplication
The share ID when duplicating from a shared base. If provided, will use share permissions instead of base|update permission.
Was this page helpful?